DS_FIND_HOLE(3)

FUNCTION
ds_find_hole - Recursively search packet for a hole.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_find_hole

(CONST packet_desc *inp_desc, packet_desc **out_desc, unsigned int *elem_num)

DESCRIPTION
This routine will recursively search a packet descriptor for a hole (element type NONE or element descriptor pointer NULL).

inp_desc
    The packet descriptor to search.

out_desc
    A pointer to the packet descriptor which contains the hole is written here. If this is NULL, nothing is written here.

elem_num
    The element number in that packet which corresponds to the hole is written here. If this is NULL, nothing is written here.

RETURN VALUE
A code indicating the status of the search. See <-ds_IDENT_TABLE-> for a list of possible values.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/